Retrieve
Returns a single order by its unique one time incentive identifier.
This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.
Authentication
x-api-keystring
Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.
Path parameters
one_time_incentive_id
Unique one-time incentive id
Response
200
public_id
One-time incentive ID.
external_code
description
merchant
Merchant ID.
customer
Customer ID.
order
ID of the order the incentive is attached to, or null.
item
ID of the item the incentive is attached to, or null.
created
When the incentive was created.
last_updated
When the incentive was last updated.
expires
When the incentive expires, or null if it doesn’t.
stacking_type
Allowed values:
incentive
applied_at
When the incentive was applied, or null if it hasn’t been.
Errors
404
Not Found Error